Creates a new secret from user-provided content. Accepts the secret value, an optional passphrase, TTL, recipient email, and share domain. Returns the receipt and secret records with share URLs.
Responses
-
Successful response
-
Bad Request - Invalid request parameters or body
-
Unauthorized - Authentication required
-
Forbidden - Insufficient permissions
-
Not Found - Resource does not exist
-
Unprocessable Entity - Validation failed
-
Too Many Requests - Rate limit exceeded
-
Internal Server Error - Something went wrong
POST
/api/v2/secret/conceal
curl \
--request POST 'https://us.onetimesecret.com/api/v2/secret/conceal' \
--user "username:password" \
--header "Content-Type: application/json" \
--data '{"secret":{"kind":"conceal","share_domain":"string","recipient":"string","passphrase":"string","ttl":"string","secret":"string"}}'
Request examples
{
"secret": {
"kind": "conceal",
"share_domain": "string",
"recipient": "string",
"passphrase": "string",
"ttl": "string",
"secret": "string"
}
}
Response examples (200)
{
"user_id": "string",
"shrimp": "",
"record": {
"receipt": {
"identifier": "string",
"created": 42.0,
"updated": 42.0,
"key": "string",
"shortid": "string",
"state": "new",
"custid": "string",
"owner_id": "string",
"shared": "string",
"previewed": "string",
"revealed": "string",
"burned": "string",
"secret_ttl": "string",
"receipt_ttl": "string",
"lifespan": "string",
"secret_shortid": "string",
"secret_identifier": "string",
"recipients": [
"string"
],
"share_domain": "string",
"has_passphrase": true,
"is_previewed": "string",
"is_revealed": "string",
"is_burned": "string",
"is_destroyed": "string",
"is_expired": "string",
"is_orphaned": "string",
"memo": "string",
"kind": "generate",
"received": "string",
"viewed": "string",
"is_viewed": "string",
"is_received": "string"
},
"secret": {
"identifier": "string",
"created": "string",
"updated": "string",
"key": "string",
"shortid": "string",
"state": "new",
"has_passphrase": "string",
"verification": "string",
"secret_value": "string",
"is_previewed": "string",
"is_revealed": "string",
"secret_ttl": "string",
"lifespan": "string",
"is_viewed": "string",
"is_received": "string"
},
"share_domain": "string"
},
"details": {}
}
Response examples (400)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (401)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (403)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (404)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (422)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (429)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}
Response examples (500)
{
"error": "string",
"message": "string",
"field": "string",
"error_id": "string"
}